
%define	major 0
%define	libname %mklibname synaptics %major
%define	dlibname %mklibname synaptics %major -d

Summary:	KDE configuration for synaptics module
Name:		libsynaptics
Version:	0.14.6c
Release:	%mkrel 1
License:	GPL
Group:		System/Configuration/Hardware
URL:		http://sourceforge.net/projects/qsynaptics
Source0:	http://qsynaptics.sourceforge.net/%{name}-%{version}.tar.bz2
BuildRoot:	%_tmppath/%{name}-%{version}-buildroot-%(id -u -n)

%description
libsynaptics is an effort to eliminate version related problems in ksynaptics
by providing upwards compatibility above new Xorg touch pad driver releases. 


%package -n %libname
Summary:	Library for supporting ksynaptics
Group:		System/Configuration/Hardware

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(644,root,root,755)
%doc README INSTALL COPYING TODO
%{_libdir}/libsynaptics.so.*

%description -n %libname
Libraries for libsynaptics.


%package -n %dlibname
Summary:	Development Library for supporting ksynaptics
Group:		Development/KDE and Qt
Requires:	%libname = %{version}-%{release}
Provides:	synaptics-devel = %{version}-%{release}
Provides:	%name-devel = %{version}-%{release}

%files -n %dlibname
%{_includedir}/synaptics
%{_libdir}/libsynaptics.a
%{_libdir}/libsynaptics.la
%{_libdir}/libsynaptics.so

%description -n %dlibname
Development files for libsynaptics.


%prep
%setup -q

%build
%configure
%make

%install
rm -rf %buildroot
%makeinstall

%clean
rm -rf %buildroot

%changelog
* Sat Mar 31 2007 José Melo <mmodem00@gmail.com> 0.14.6c-1pclos2007
- 0.14.6c
- Arrange spec
- Remove useless macros
- Fix provides

* Mon Dec 04 2006 Texstar <texstar@houston.rr.com> 0.14.6b-1pclos2007
- Build for PCLinuxOS 2007

